Skip to content

GET user

This call gets nearly all the users data. It will not send back the hashed password, MFA secret and other sensitive data.

Location

/api/v1/portal-management/users/

Permissions required

admin-access-admins RO.

Body parameters

Parameter Type Required Description
builder[0][where][0] string no
builder[0][where][1] string no

Example Body (json)

None.

Example Request

$curl = curl_init();  
curl_setopt_array($curl, array(  
    CURLOPT_URL => $baseUrl . '/api/v1/portal-management/users/' . '?builder[0][where][0]=user_uuid&builder[0][where][1]=0eda6269-0da5-11f0-9300-7e99ed98b725', 
    CURLOPT_CUSTOMREQUEST => 'GET',  
    CURLOPT_RETURNTRANSFER => true,  
    CURLOPT_HTTPHEADER => [  
        'Authorization: Bearer ' . $token,
        'Content-Type: application/json'
    ]  
));  

$response = curl_exec($curl);  

curl_close($curl);
echo $response;

Example Response

[
   {
      "user_uuid":"481fc5c9-6834-11f1-a54b-bc2411125ba4",
      "user_group_uuid":"d4cbf41b-6445-11f1-a54b-bc2411125ba4",
      "user_email":"test@domain.name",
      "user_first_name":"Pietje",
      "user_last_name":"Bel",
      "user_full_name":"Pietje Bel",
      "user_phone_number":"",
      "user_password_reset_expires":1781557318,
      "user_two_factor_enabled":0,
      "user_status":"pending",
      "user_verified_email":0,
      "user_verified_phone":0,
      "user_create_timestamp":1781470918,
      "user_modified_timestamp":null,
      "user_last_login_timestamp":null,
      "user_login_attempts":0,
      "user_pref_language":"en",
      "user_stompable":0
   }
]

Known errors or issues.

None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.